using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Mpeg2;
using skyscraper5.Skyscraper.Plugins;

namespace skyscraper5.Dvb.Descriptors.Extension
{
	[SkyscraperPlugin]
	[ExtensionDescriptor(0x0C, "NIT")]
    class XaitPidDescriptor : Dvb.ExtensionDescriptor
    {
        public XaitPidDescriptor(byte[] buffer)
        {
            (buffer[1], buffer[0]) = (buffer[0], buffer[1]);
            XaitPid = BitConverter.ToUInt16(buffer, 0);
        }

        public ushort XaitPid { get; private set; }
    }
}
